Bug 614847 - Provisioning: Left navigation for provisioning in IE8 is broken
Summary: Provisioning: Left navigation for provisioning in IE8 is broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Provisioning
Version: 3.0.0
Hardware: All
OS: Windows
high
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On:
Blocks: rhq4 jon30-bugs
TreeView+ depends on / blocked
 
Reported: 2010-07-15 11:54 UTC by Sudhir D
Modified: 2013-09-02 07:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-02 07:26:16 UTC


Attachments (Terms of Use)
Broken left nav in IE8 for provisioning (118.88 KB, image/png)
2010-07-15 11:54 UTC, Sudhir D
no flags Details
bundle page in IE8 (108.19 KB, image/png)
2010-07-16 14:29 UTC, Sudhir D
no flags Details
IE8 Version. (127.07 KB, image/png)
2010-07-19 07:18 UTC, Sudhir D
no flags Details

Description Sudhir D 2010-07-15 11:54:28 UTC
Created attachment 432053 [details]
Broken left nav in IE8 for provisioning

Description of problem:
Left navigation for provisioning in IE8 is broken. It does not give an option to expand the bundle.

Version-Release number of selected component (if applicable):
jon-server-2.4.0.GA_QA.zip build# 63

How reproducible:
Always

Steps to Reproduce:
1. In IE8, Administration -> Content -> Bundle
2. Upload a bundle.
3. Click on the bundle nam on the left nav
  
Actual results:
Cannon expand the bundle on left nav. There is no + mark to expand. The icons for the bundle is also missing.

Expected results:
Should allow to expand bundle.

Additional info:

Comment 1 Sudhir D 2010-07-15 11:59:03 UTC
The UI in general looks broken.

Comment 2 Charles Crouch 2010-07-15 13:29:36 UTC
FYI The latest build from 7/14 doesn't have greg's last gwt commit in

Comment 3 Greg Hinkle 2010-07-15 13:59:42 UTC
Try again as of 9338dab... someone disabled IE compiles in gwt last week causing a subset of these breaks

Comment 4 Sudhir D 2010-07-16 08:11:18 UTC
Tested with jon-server-2.4.0.GA_QA.zip build# 65 and issue still persist. 

Moving back to ON_DEV.

Comment 6 Sudhir D 2010-07-16 14:28:52 UTC
From the screen shot attached we can see that the top left search text is not completely defined. Also, we can see that the left nav for the bundle expansion is still broken. The line seperation between the column name (ID, Name, Description..) and value (10001, example, an example bundle..) is missing. The buttons, New, Delete.. is defined in Firefox, where as here it isn't.

Comment 7 Sudhir D 2010-07-16 14:29:40 UTC
Created attachment 432397 [details]
bundle page in IE8

Comment 8 Greg Hinkle 2010-07-16 14:59:40 UTC
did you shift-refresh your browser?

Comment 9 Joseph Marques 2010-07-16 16:55:21 UTC
Confirmed that all aspects of bundles worked for me in IE8.  Pushing back to QA.

Comment 10 Joseph Marques 2010-07-19 05:13:32 UTC
Note, my testing was confirmed on win xp sp3.

Comment 11 Sudhir D 2010-07-19 07:18:25 UTC
Created attachment 432778 [details]
IE8 Version.

Interestingly, on IE8 of win xp sp3 the UI looks good. However, the UI is broken on win 2k8 IE 8 (default IE8 version that come up with win2k8). 

I tried shift+refresh but that did not seem to help. 

I'm attaching the screen shot which has the IE version on which the UI is broken. 

Moving the bug back to ON_DEV

Comment 12 Charles Crouch 2010-07-19 13:25:45 UTC
This needs investigating but is not a blocker

Comment 14 John Mazzitelli 2010-12-18 17:54:06 UTC
this works on IE8.0.6001 that was running on Windows Vista.

where is there a win 2k8 box we can test on?

Comment 15 John Mazzitelli 2011-02-17 19:01:18 UTC
retry this, all attempts show this is working now

Comment 16 Sunil Kondkar 2011-03-16 12:14:29 UTC
Verified on build#1090 (Version: 4.0.0-SNAPSHOT Build Number: f19c23e)

The bundle UI looks good in windows server 2008 - IE8 (Version 8.0.7600.16385)
The left nav and buttons are displayed properly.

Marking as verified.

Comment 17 Heiko W. Rupp 2013-09-02 07:26:16 UTC
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.


Note You need to log in before you can comment on or make changes to this bug.